package cz.muni.fi.pa165.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.HashSet;
import java.util.Set;

/**
 * @author mvalko
 */
@Getter
@Setter
public class PlayerDTO extends PersonDTO {

    private Set<MatchDTO> matches = new HashSet<>();

    private int killStat;

    private int deathStat;

    private int assistStat;

    private TeamDTO team;

    @NotNull
    private String teamId;

}
