<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="Match Administration">
<jsp:attribute name="body">

    <c:if test="${not empty sessionScope.authenticatedUser}">
        <form method="post" action="${pageContext.request.contextPath}/match/delete/${match.id}">
            <button type="submit" class="btn btn-primary">Delete</button>
        </form>
    </c:if>

    <h3>Tournament: <c:out value="${match.tournament.name}"/></h3>

    <table class="table">
        <thead>
        <tr>
            <th>Teams</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td><c:out value="${match.teams}"/></td>
        </tr>
        </tbody>
    </table>

    <table class="table">
        <thead>
        <tr>
            <th>Players</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td><c:out value="${match.players}"/></td>
        </tr>
        </tbody>
    </table>

</jsp:attribute>
</my:pagetemplate>